FORUMS


The Form Tools forums are no longer active, but the old posts have been archived here. Please see the Help page on how to get help / report issues.

Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How to upgrade from 1.5.1?
#1
Question 
Boy, I never suspected I was this far behind with my version of Form Tools. So I guess I need to ask what I need to do to upgrade from 1.5.1 to the current version. Any hints/suggestions or whatever will be appreciated.
Tom
Administrator: TI99ers On-Line User Group
Administrator: TI99ers Hall of Fame
Reply
#2
Hi Tom,

Good to hear from a FT1.x user! And yeah, there's been a lot of changes! Smile

I know we spoke over email, but I thought I'd just pipe up here, for others in the same boat.

Form Tools 2 is a very different script from Form Tools 1. The database and functionality was so different between the two, providing a simple upgrade script wasn't possible. Instead, the 2.0.x branch of the Form Tools code has a module that allows you to import your data. See:
http://modules.formtools.org/ft1_data_import/

However, that module isn't compatible with the more recent 2.1.x branch of the code.

I'd recommend anyone running 1.x versions of the script to do a totally new installation of Form Tools 2 (the latest version) and then start using it for all new forms. If you wanted, you could re-configure your old forms with the new version. This would actually be a less painful process than attempting an upgrade.

Sorry about that,

- Ben


Reply
#3
Shocked 
Ben,

Part of what you state here I find just a tad confusing. Are you saying there is no way to import the old data into version 2.1.5 from the 1.5.1 SQL database?At the end of the first paragraph it sounds like you can, then next paragraphs it sounds like I can't. Not that I'm easily confused, but I'm not sure what you are saying here.


(Oct 24th, 2011, 10:18 AM)Ben Wrote: Form Tools 2 is a very different script from Form Tools 1. The database and functionality was so different between the two, providing a simple upgrade script wasn't possible. Instead, the 2.0.x branch of the Form Tools code has a module that allows you to import your data. See:
http://modules.formtools.org/ft1_data_import/

However, that module isn't compatible with the more recent 2.1.x branch of the code.

I'd recommend anyone running 1.x versions of the script to do a totally new installation of Form Tools 2 (the latest version) and then start using it for all new forms. If you wanted, you could re-configure your old forms with the new version. This would actually be a less painful process than attempting an upgrade.

Tom
Administrator: TI99ers On-Line User Group
Administrator: TI99ers Hall of Fame
Reply
#4
Hey Tom,

Sorry I wasn't clear!

No, there's no way to import the data to the 2.1.5 database. The only way is to use the FT Data Import module to import it into one of the Form Tools 2.0.x releases.

- Ben
Reply
#5
Tongue 
Okay, but where do I find this module? If I am looking at it in the downloads, then I am blind and can't see out the other eye, which has happened to me before. Smile

(Oct 25th, 2011, 12:13 PM)Ben Wrote: The only way is to use the FT Data Import module to import it into one of the Form Tools 2.0.x releases.

Tom
Administrator: TI99ers On-Line User Group
Administrator: TI99ers Hall of Fame
Reply
#6
haha :-) No worries, I need to add a search option to the modules page... the list of modules is getting pretty long now.
http://modules.formtools.org/ft1_data_import/

- Ben
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)